
#include <iostream>
#include "vecteur.h"

using namespace std;

int main(int argc, char** argv){
	Vecteur vect1(1.0, 0.0, 0.0);
	Vecteur vect2(1.0, 0.0, 2.0);
	
	cout << "vect1 = " << vect1 << endl;
	cout << "vect2 = " << vect2 << endl;
	
	cout << "Produit scalaire : vect1*vect2 = " << vect1*vect2 << endl;
	
	Vecteur produitVectoriel(vect1^vect2);
	cout << "Produit vectoriel : vect1^vect2 = " << produitVectoriel << endl;
	
	cout << "Produit vectoriel : vect1^vect2 = " << (vect1^vect2) << endl;
	
	return 0;
}







